typedef struct Block Block;
struct Block
{
	Ref;

	Block	*next;

	uchar	*rp;
	uchar	*wp;
	uchar	*lim;

	uchar	base[];
};

#define BLEN(s)	((s)->wp - (s)->rp)

Block*	allocb(int size);
void	freeb(Block*);
Block*	copyblock(Block*, int);

enum
{
	Cdcunion = 6,
	Scether = 6,
	Fnether = 15,
};

int debug;
int setmac;

/* to be filled in by *init() */
uchar macaddr[6];

void	etheriq(Block*, int wire);

int	(*epreceive)(Dev*);
void	(*eptransmit)(Dev*, Block*);
